using Godot;

public abstract class ProgramNode
{
    protected ProgramNode nextNode;
    public string DisplayText;
    public PackedScene editorDisplay;
    public ProgramNode()
    {
        
    }

    public abstract void Execute(Robot robot);
    public void LinkNode(ProgramNode nextNode)
    {
        this.nextNode = nextNode;
    }
}